#include <plib.h>
#include <p32xxxx.h>

/* Configuration Settings */
// OSC Input = HS w/PLL
// CPU Clock = ( ( OSC Input / 2 ) * 15 ) / 1
// PB Clock = CPU Clock / 1 
// Disabld WDT , ICSP/ICD = PGC1 , PGD1 
#pragma config FNOSC = PRIPLL , POSCMOD = HS
#pragma config FPLLIDIV = DIV_2 , FPLLMUL = MUL_15 , FPLLODIV = DIV_1
#pragma config FPBDIV = DIV_1
#pragma config FWDTEN = OFF , ICESEL = ICS_PGx1

#define SystemFrequency		60000000L

int main(void)
{
	unsigned int i = 0;

	// Disable the JTAG function
	DDPCONbits.JTAGEN = 0;  				

	// ϥC32SYSTEM ConfigNCPUާ@̨ΤơAקFPBDIV]wC
	SYSTEMConfig( SystemFrequency , SYS_CFG_WAIT_STATES | SYS_CFG_PCACHE );
	// SYSTEMConfigPerformance( SystemFrequency  );
	// SYSTEMConfigWaitStates( SystemFrequency );

    INTEnableSystemMultiVectoredInt( );

	// To Do : ϥC32 I/O Prot FunctionNLEDI/O ]wƦXAëwI/O PortAC
	mPORTBSetPinsDigitalOut( BIT_2 | BIT_3 );
	mPORTBSetBits( BIT_2 | BIT_3 );

    while( 1 )
	{
		// To Do : LEDAC
		mPORTBToggleBits( BIT_2 | BIT_3 );

		// To Do : Ƶ{ALEDܤƥiHQHҹıC
		// (ըϥγnStopwatch\ӭp⩵ɶ)
		for( i = 0 ; i < 545453 ; i++ );
	}

    while( 1 );
}
